



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Saltstack系列1：安装配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Saltstack系列1：安装配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-17 11:08:04 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>安装</h2>
<h3>安装EPEL作为安装Ansible的yum源(CentOS6.4)</h3>
<div>
<pre class="prettyprint linenums">rpm -Uvh http://ftp.linux.ncsu.edu/pub/epel/6/i386/epel-release-6-8.noarch.rpm</pre>
</div>
<h3>安装Saltstack：</h3>
<p><strong>主控端：</strong></p>
<div>
<pre class="prettyprint linenums">yum install salt-mastster -y<br />
chkconfig salt-master on<br />
service salt-master start</pre>
</div>
<p><strong>被控端：</strong></p>
<div>
<pre class="prettyprint linenums">yum install salt-minion -y<br />
chkconfig salt-minion on<br />
service salt-minion start</pre>
</div>
<p><strong>防火墙：</strong><br />主控端添加TCP 4505、4506端口规则，被控端无需配置，原理是被控端直接与主控端的zeromq建立长链接，接收广播到的任务信息并执行</p>
<div>
<pre class="prettyprint linenums">iptables -I INPUT -m state --state new -m tcp -p tcp --dport 4505 -j ACCEPT<br />
iptables -I INPUT -m state --state new -m tcp -p tcp --dport 4506 -j ACCEPT</pre>
</div>
<h2>配置</h2>
<p><strong>主控端：</strong>(配置完成后重启：service salt-master restart)</p>
<p>【/etc/salt/master】</p>
<div>
<pre class="prettyprint linenums"># 绑定Master通信IP：<br />
interface: 192.168.1.22<br />
# 自动认证，避免手动运行salt-key来确认证书信任<br />
auto_accept: True<br />
# 指定Saltstack文件目录位置<br />
file_roots:<br />
  base:<br />
    - /srv/salt</pre>
</div>
<p><strong>提示：</strong><br />主控端没有配置自动认证时需要通过salt-key命令来进行证书认证操作：</p>
<div>
<pre class="prettyprint linenums">salt-key -L #显示已经或未被认证的被控端id<br />
salt-key -D #删除所有认证主机id证书<br />
salt-key -d id #删除单个id证书（id为被控端id名）<br />
salt-key -A #接受所有id证书请求<br />
salt-key -a id #接受单个id证书请求（id为被控端id名）</pre>
</div>
<p><strong>被控端：</strong>(配置完成后重启：service salt-minion restart)<br />【/etc/salt/minion】</p>
<div>
<pre class="prettyprint linenums"># 指定Master主机IP地址：<br />
master: 192.168.1.22<br />
# 修改被控端主机识别id，建议使用操作系统主机名来配置<br />
id: wx</pre>
</div>
<p><strong>测试：</strong>(主控端输入命令)<br />通过test模块的ping方法，可以确认被控端是否与主控端建立信任关系及连通性是否正常。</p>
<div>
<pre class="prettyprint linenums">salt 'wx' test.ping #'wx'是被控端配置的主机识别id，要探测所有的被控端则使用'*'

#结果：<br />
wx:<br />
  True</pre>
</div>
<hr />
<p>参考资料：</p>
<p>根据刘天斯《Python自动化运维技术与最佳实践》整理</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7nle9e.html">电脑新建svn仓库</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zrk71q.html">点击input时&comma;里面默认字体消失显示</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4k1z59.html">UML基础与Rose建模实训教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jve109.html">as画柱型图的简单算法（关于柱型图宽和间距问题）</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdgdw0q.html">zabbix server配置文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdnr3v9.html">Mediator Pattern --中介者模式原理及实现（C&plus;&plus;）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok15we9.html">HTML网页调用本地QQ</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvver01q.html">破解金盘gdlisxp系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zypx49.html">Jersey&lpar;1&period;19&period;1&rpar; - WebApplicationException and Mapping Exceptions to Responses</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0dy6wq.html">cocos2d 场景转换的方法执行顺序</a>
		</li>
						<li><a href="https://www.batexi.com/a/96okerj9.html">Vijos&lowbar;1792&lowbar;摆花&lowbar;&lpar;动态规划&comma;多重集组合数&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gepe678.html">Oracle DML容错处理（1）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdml6y9.html">Android media媒体库分析之：MediaProvider</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gex1648.html">SPOJ SERGRID - Grid BFS</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd20zd9.html">Omi 拥抱 60FPS 的 Web 动画</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv202519.html">go语言的安装、环境变量配置及简单使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25evvvq.html">JSON&period;parse 必须用双引号包起来</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw1nwx9.html">Msf提权步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy7jddq.html">PAT 1031 Hello World for U</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpd0k49.html">hdu1227  dp</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q4yz2z3q.html">在Linux上使用web2py&lowbar;uwsgi&lowbar;nginx搭建web服务器</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdgp5d8.html">db2 存储过程 语法 及结果集查询</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wj1glq.html">解决LinearLayout中控件不能居右对齐</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0z750q.html">WebSphere中对response&period;sendError&lpar;&rpar;的处理与Tomcat不同</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mz1p1q.html">kinect在ros上的初步测试---17</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zk6559.html">UVa 11988 破损的键盘（链表）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1pgv79.html">leetcode 139&period; Word Break ----- java</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnkm4z8.html">mysql之数据库连接的方法封装及防sql注入</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjdoo49.html">Codeforces Round &num;148 &lpar;Div&period; 2&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1joex8.html">&lbrack;codeforces 391D2&rsqb;Supercollider</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
